Holger's Java API

## com.antelmann
Class ShowLicensesAction

    java.lang.Object
      javax.swing.AbstractAction
          com.antelmann.util.gui.MyAbstractAction
              com.antelmann.ShowLicensesAction

All Implemented Interfaces:
  LoggerProvider, ActionListener, Serializable, Cloneable, EventListener, Action

    public class ShowLicensesAction

extends MyAbstractAction

shows a dialog with access to the installed licenses

Since:
  06.08.2009, 18:13:58
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.antelmann.util.gui.MyAbstractAction
`parentRetriever, userRetriever`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ShowLicensesAction(String name, String description, ImageIcon icon)`
`ShowLicensesAction(String name, String description, ImageIcon icon, Component parent)`

Method Summary
`protected void` `performAction(ActionEvent ev, Component parent)`

Methods inherited from class com.antelmann.util.gui.MyAbstractAction

`actionPerformed, add, addRequiredAccessRight, addRequiredAccessRights, checkAccess, createListRetriever, createReferenceRetriever, createStubRetriever, createStubRetriever, determineParentComponent, doh, doh, execute, execute, findParent, getFormValue, getFormValue, getHelpText, getInterfaceMonitors, getLogger, getParent, getParentRetriever, getRequiredUserRights, getUserAccessFilter, getUserRetriever, isAccessibleBy, remove, requiresLicense, requiresPassword, runCommand, runInBackground, setDisjunctAccessFilter, setHelpText, setMnemonicKey, setParent, setParentRetriever, setRequiresLicense, setRequiresPassword, setUserAccessFilter, setUserRetriever`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowLicensesAction

    public ShowLicensesAction(String name,
                              String description,
                              ImageIcon icon)

### ShowLicensesAction

    public ShowLicensesAction(String name,
                              String description,
                              ImageIcon icon,
                              Component parent)

Method Detail

### performAction

    protected void performAction(ActionEvent ev,
                                 Component parent)
                          throws Exception

  Specified by:
    `performAction` in class `MyAbstractAction`
  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads